﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="TA_Tbl_Master_TimeTable, App_Web_ujghb5ng" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Src="~/UserControls/TA_uc_OrganizationLevels.ascx" TagName="OrganizationLevel" TagPrefix="uc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="ConTimeTable" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            return false;
        }

        function Delete_Conf() {
            return confirm('Are you sure to Delete ?');
        }

    </script>

    <div class="content-header">
        <h1 style="background-image: url('../dist/img/emp-master.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderTimeTableMaster" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>

    <div class="content">

        <div id="myModal" class="modal modal-default fade" role="dialog">
            <div class="modal-dialog" style="min-width: 85%;">
                <div class="modal-content" style="margin-top: 100px">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                            &times;</button>
                        <h4 class="modal-title">
                            <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                        </h4>
                    </div>
                    <div class="modal-body">
                        <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" style="border-style: none" height="370px"></iframe>

                    </div>
                    <div class="modal-footer" style="display: none">
                        <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                            Close</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="form-horizontal">
            <div class="emp-filter">
                <div class="row" id="trOrgLevel" runat="server">
                    <div class="col-md-12">
                        <asp:UpdatePanel ID="upOrgLevel" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:PlaceHolder ID="PlaceHolderLateEntry" runat="server">
                                    <uc:OrganizationLevel ID="ucOrganizationLevel" runat="server" />
                                </asp:PlaceHolder>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-2">
                        <asp:Label ID="lblFaculty" runat="server">Faculty</asp:Label>
                    </div>

                    <div class="col-md-3">
                        <asp:DropDownList ID="ddl_Faculty" CssClass="form-control select2" EnableViewState="true"
                            runat="server" AppendDataBoundItems="true" onchange="return GetEmployeeInfo('1',ErrorretrievingdatafromAuthority);">
                            <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                        </asp:DropDownList>
                    </div>
                    <div class="col-md-1">
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblLocation" runat="server">Location</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:DropDownList ID="ddllocation" runat="server" CssClass="form-control select2"></asp:DropDownList>
                    </div>

                </div>


                <div class="row" id="trSearchButton" runat="server">
                    <div class="col-md-2">
                    </div>
                    <div class="col-md-3">
                    </div>
                    <div class="col-md-1">
                    </div>
                    <div class="col-md-5">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_Search" runat="server" OnClick="btn_Search_Click" CssClass="btn src-btn fa-search">
                            </asp:LinkButton>
                            <asp:LinkButton ID="btn_Clear" runat="server" OnClick="btn_Clear_Click" CssClass="btn clr-btn fa-refresh">
                            </asp:LinkButton>
                        </div>
                    </div>
                    <div class="col-md-1">
                    </div>
                </div>



            </div>

            <div class="border-table new-space">
                <div class="row form-group">
                    <div class="col-md-10" id="trSaveButton" runat="server">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_Add" runat="server" OnClick="btn_Add_Click" CssClass="btn add-btn fa-plus">
                            </asp:LinkButton>
                            <asp:LinkButton ID="btn_PermanentDelete" runat="server" OnClick="btn_PermanentDelete_Click"
                                OnClientClick="return confirmdelete(this.form);" CssClass="btn del-btn fa-trash-o">
                            </asp:LinkButton>
                            <asp:LinkButton ID="btn_Delete" CssClass="btn del-btn" runat="server" CausesValidation="False"
                                OnClick="btn_Delete_Click" OnClientClick="return confirmdelete(this.form);" Style="display: none"></asp:LinkButton>
                            <asp:HiddenField ID="hdnDeletedData" runat="server" />
                            <asp:HiddenField ID="HiddenField1" runat="server" />
                        </div>
                    </div>
                

                <div class="input-group">
                    <div class="input-group-btn">
                        <button type="button" class="btn add-btn dropdown-toggle" data-toggle="dropdown">
                            Export
                    <span class="fa fa-caret-down"></span>
                        </button>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="#" runat="server" onserverclick="btnExport_Click"  class="fa-file-excel-o">&nbsp;&nbsp;Excel</a>
                                <%--<asp:LinkButton ID="btnExport" CommandName="excel" Text="&nbsp;&nbsp;Export To Excel" runat="server" CssClass="btn del-btn fa-file-excel-o">
                                    </asp:LinkButton>--%>
                            </li>
                            <li>
                                <a href="#" runat="server" onserverclick="btnExport_Click" class="fa-file-pdf-o">&nbsp;&nbsp;PDF</a>
                                <%--<asp:LinkButton ID="btnExportPdf" CommandName="pdf" Text="&nbsp;&nbsp;Export To PDF" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="btnExport_Click">
                                    </asp:LinkButton>--%>

                            </li>
                            <li>
                                <a href="#" runat="server" onserverclick="btnExport_Click" lass="fa-file-pdf-csv">&nbsp;&nbsp;CSV</a>
                                <%--<asp:LinkButton ID="btnExportCSV" CommandName="csv" Text="&nbsp;&nbsp;Export To CSV" runat="server" CssClass="btn del-btn fa-file-csv" OnClick="btnExport_Click">
                                    </asp:LinkButton>--%>
                            </li>
                        </ul>
                    </div>
                </div>
                </div>
                <div class="form-group">
                    <div class="col-md-12" style="overflow: auto; padding-bottom: 10px">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:HiddenField ID="hdnAdvancedplus" runat="server" Value="0" />
                                <asp:HiddenField ID="hdnSelectRow" runat="server" />
                                <asp:HiddenField ID="hdnGetAllid" runat="server" />
                                <dxGridview:ASPxGridView ID="grv_TimetableDetails" EnableCallBacks="false" runat="server"
                                    OnHtmlRowCreated="grv_TimetableDetails_HtmlRowCreated" ClientInstanceName="grv_TimetableDetails"
                                    AutoGenerateColumns="false" Width="100%" KeyFieldName="TimeTableID">

                                    <Columns>
                                        <dxGridview:GridViewDataColumn VisibleIndex="0" HeaderStyle-VerticalAlign="Middle"
                                            Width="30px" HeaderStyle-HorizontalAlign="Center" CellStyle-VerticalAlign="Middle"
                                            CellStyle-HorizontalAlign="Center">
                                            <Settings AllowAutoFilter="false" />
                                            <HeaderTemplate>
                                                <input id="chkSelectAll" runat="server" type="checkbox" onclick="SelectAllOnThisPage(this)" />
                                            </HeaderTemplate>
                                            <DataItemTemplate>
                                                <input id="chkSelect" runat="server" type="checkbox" onclick="SelectOnRow(this)"
                                                    accesskey='<%# Eval("TimeTableID") %>' />
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataTextColumn FieldName="TimeTableID" VisibleIndex="1" Visible="false">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblEID" Text='<%# Eval("TimeTableID") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            <Settings ShowInFilterControl="False" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Timetable Name" FieldName="ScheduleName"
                                            VisibleIndex="2" Width="200px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblEname" Text='<%# Eval("ScheduleName") %>' runat="server"
                                                    Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Course Details" FieldName="CourseName" VisibleIndex="3"
                                            Width="100px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblEmpCode" Text='<%# Eval("CourseName") %>' runat="server"
                                                    Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Place" FieldName="locationName" VisibleIndex="4" Width="200px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lbldesg" Text='<%# Eval("locationName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="From Date" FieldName="FromDateTime" VisibleIndex="5" Width="200px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblIsDeleted" runat="server" Text=' <%# Eval("FromDateTime")%>'></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="To Date" FieldName="ToDateTime" VisibleIndex="6" Width="200px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblStatus" runat="server" Text='<%# Bind("ToDateTime") %>'></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Total Hours" FieldName="TotalHours" VisibleIndex="7" Width="100px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblContact_Address" runat="server" Text='<%# Bind("TotalHours") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Subject" FieldName="SubjectName" VisibleIndex="8" Width="150px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblContact_Address" runat="server" Text='<%# Bind("SubjectName") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Faculty" FieldName="FacultyName" VisibleIndex="9" Width="150px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblContact_Address" runat="server" Text='<%# Bind("FacultyName") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>
                                        <dxGridview:GridViewDataTextColumn Caption="Remarks" FieldName="Remarks" VisibleIndex="10" Width="150px">
                                            <DataItemTemplate>
                                                <asp:Label ID="lblContact_Address" runat="server" Text='<%# Bind("Remarks") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataTextColumn>

                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="50px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" data-target="#myModal" onclick="return navi('TA_Tbl_Master_TimeTableView.aspx?TimeTableID=<%# Eval("TimeTableID")%>')"
                                                    href="#"><span class="btn btn-defalut view-icons"></span></a>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="50px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <asp:LinkButton ID="btnEdit" runat="server" ToolTip='<%# Session["Edit"] %>' data-toggle="tooltip"
                                                    data-placement="top" CssClass="btn btn-defalut edit-icons" Style="color: #3C8DBC"
                                                    OnClick="btnEdit_Click" CommandName='<%# Eval("TimeTableID")%>'></asp:LinkButton>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                        <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                            CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="50px">
                                            <Settings AllowAutoFilter="false" />
                                            <DataItemTemplate>
                                                <asp:LinkButton ID="btnDelete" runat="server" ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip"
                                                    data-placement="top" CssClass="btn btn-defalut del-icons" Style="color: Red"
                                                    CommandName='<%# Eval("TimeTableID")%>' OnClientClick="return Delete_Conf();" OnClick="btnDelete_Click"></asp:LinkButton>
                                            </DataItemTemplate>
                                            <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                        </dxGridview:GridViewDataColumn>
                                    </Columns>
                                    <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                    <SettingsPager PageSize="15">
                                        <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200,500" />
                                    </SettingsPager>
                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                                    <SettingsText EmptyDataRow="No Records Found" />
                                    <SettingsSearchPanel Visible="true" HighlightResults="true" ShowApplyButton="true" ShowClearButton="true" />
                                    <SettingsCustomizationWindow Enabled="True" />
                                    <SettingsBehavior AutoExpandAllGroups="True" ColumnResizeMode="Control" />
                                    <GroupSummary>
                                        <dxGridview:ASPxSummaryItem FieldName="DepartmentName" SummaryType="Count" />
                                    </GroupSummary>
                                    <SettingsBehavior AllowDragDrop="true" />
                                </dxGridview:ASPxGridView>
                                <dxGridview:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="grv_TimetableDetails">
                                    <PageFooter Right="[Page # of Pages #]">
                                    </PageFooter>
                                </dxGridview:ASPxGridViewExporter>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>

            </div>
        </div>
        <script type="text/javascript">
            var Year = "Select Year";
            var MaxLength = "Maximum length is ";
            function MaxLengthh(maxLength) {
                MaxLength = maxLength;
            }
            function SelectAllOnThisPage(chkSelectAll) {
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var hdnSelectAll = document.getElementById('<%= hdnGetAllid.ClientID %>');
                if (chkSelectAll.checked == true) {
                    for (var i = 0; i < grv_TimetableDetails.pageRowCount; i++) {
                        if (document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                            document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').checked = true;
                            var hdnUserId = document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').accessKey;
                            var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                            var removeId = hdnSelectRow.value.split(",");
                            if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                                if (hdnSelectRow.value != "")
                                    hdnSelectRow.value += ",";
                                hdnSelectRow.value += hdnUserId;
                            }
                        }
                    }
                }
                else {
                    for (var i = 0; i < grv_TimetableDetails.pageRowCount; i++) {
                        document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').checked = false;
                    }
                    hdnSelectRow.value = '';
                }
            }
            function SelectOnRow(chkOnSelect) {
                var hdnUserId = chkOnSelect.accessKey;
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var removeId = hdnSelectRow.value.split(",");
                if (chkOnSelect.checked) {
                    if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                        if (hdnSelectRow.value != "")
                            hdnSelectRow.value += ",";
                        hdnSelectRow.value += hdnUserId;
                    }
                    var varTotalCheckedCount = 0;
                    var varTotalEnabled = 0;
                    for (var i = 0; i < grv_TimetableDetails.pageRowCount; i++) {
                        if (document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                            varTotalEnabled = varTotalEnabled + 1;
                        }
                        if (document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_cell' + (i + grv_TimetableDetails.visibleStartIndex) + '_0_chkSelect').checked)
                            varTotalCheckedCount = varTotalCheckedCount + 1;
                    }
                    if (varTotalCheckedCount == varTotalEnabled)
                        document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_header0_chkSelectAll').checked = true;
                    else
                        document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_header0_chkSelectAll').checked = false;
                }
                else {
                    if (Array.contains(removeId, hdnUserId)) {
                        Array.remove(removeId, hdnUserId);
                    }
                    hdnSelectRow.value = removeId;
                    document.getElementById('ctl00_BodyContentPH_grv_TimetableDetails_header0_chkSelectAll').checked = false;
                }
            }
            var Norecordsavailable = "No records available ";
            var AreyousuretoRestore = "Are you sure to Restore? ";
            var Selecteddataisnotindeletedstatus = "Selected data is not in deleted status ";
            var Selectdatatorestore = "Select data to restore ";
            var Nodeletedrecordsavailable = "No deleted records available ";
            function RestoreAlert(norecordsavailable, areyousuretoRestore, selecteddataisnotindeletedstatus, selectdatatorestore, nodeletedrecordsavailable) {
                Norecordsavailable = norecordsavailable;
                AreyousuretoRestore = areyousuretoRestore;
                Selecteddataisnotindeletedstatus = selecteddataisnotindeletedstatus;
                Selectdatatorestore = selectdatatorestore;
                Nodeletedrecordsavailable = nodeletedrecordsavailable;
            }
            function RestoreData() {
                var rowscount = grv_TimetableDetails.pageRowCount;
                if (rowscount == 0) {
                    alert(Norecordsavailable);
                    return false;
                }
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var DeleteDataRow = document.getElementById('<%= hdnDeletedData.ClientID %>');
                if (DeleteDataRow.value != '') {
                    if (hdnSelectRow.value != '') {
                        var selectedRow = new Array();
                        selectedRow = hdnSelectRow.value.split(",");
                        var deletedRow = new Array();
                        deletedRow = DeleteDataRow.value.split(",");
                        var Status = false;
                        for (var i = 0; i < selectedRow.length; i++) {
                            if (Array.contains(deletedRow, selectedRow[i])) {
                                Status = true;
                            }
                        }
                        if (Status == true) {
                            return confirm(AreyousuretoRestore);
                        }
                        else {
                            alert(Selecteddataisnotindeletedstatus);
                            return false;
                        }
                    }
                    else {
                        alert(Selectdatatorestore);
                        return false;
                    }
                }
                else {
                    if (hdnSelectRow.value == '') {
                        alert(Nodeletedrecordsavailable);
                        return false;
                    }
                    else {
                        alert(Selecteddataisnotindeletedstatus);
                        return false;
                    }
                }
            }
        </script>
    </div>

</asp:Content>

