<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_BulkEmployeeConfiguration, App_Web_z15gu4z3" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
        <link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
        <link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
    <![endif]-->

    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>

    <%-- <script type="text/javascript">
        if (navigator.userAgent.toLowerCase().indexOf('chrome') != -1)
            document.write('<link href="../css/safari.css" rel="stylesheet" type="text/css" />');
    </script>--%>

    <div class="content-header">
        <h1 style="padding-right: 0px">
            <asp:Label ID="lbl_Header" runat="server" Text="Bulk Configuration"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px">
                                <asp:Label ID="lblMandatoryFields" Visible="True" runat="server" Text="Mandatory"></asp:Label>
                                (3 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row form-group">
                            <div class="col-md-3">
                                <span style="color: Red">|</span>
                                <asp:Label ID="lblImportFilePath" runat="server" Text="Select Excel File"></asp:Label>
                            </div>
                            <div class="col-md-5">
                                <asp:FileUpload ID="fup_BulkImport" runat="server" CssClass="form-control" />
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-3">
                                <asp:Label ID="lblEligible" runat="server" Text="Category"></asp:Label>

                            </div>
                            <div class="col-md-5">
                                <asp:DropDownList ID="ddlchange" runat="server" CssClass="form-control select2 Man-dat">
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-3">
                                <span style="color: Red">|</span>
                                <asp:Label ID="lblChange" runat="server" Text="Change the status From "></asp:Label>
                            </div>
                            <div class="col-md-5 pad-left-0px">
                                <div class="col-md-3">
                                    <asp:RadioButton ID="rdby2n" runat="server" Text="Yes" GroupName="ChangeStatus" CssClass="radio radio-primary" />
                                </div>
                                <div class="col-md-3">
                                    <asp:RadioButton ID="rdbn2y" runat="server" Text="No" GroupName="ChangeStatus" CssClass="radio radio-primary" />
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                     <asp:LinkButton ID="btnLeaveTemplate" CssClass="btn save-btn fa-download" runat="server"
                                        OnClick="btnLeaveTemplate_Click" />
                                    <asp:LinkButton ID="btn_Template" CssClass="btn save-btn fa-download" runat="server"
                                        Text="&nbsp;&nbsp;Download Template" OnClick="btn_Template_Click" />
                                    <asp:LinkButton ID="btn_Upload" CssClass="btn save-btn fa-upload" runat="server"
                                        Text="&nbsp;&nbsp;Upload" OnClick="btn_Upload_Click" />
                                    <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server"
                                        Text="&nbsp;&nbsp;Back" OnClick="btnBack_Click" />
                                </div>

                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="callout callout-info" style="margin-bottom: 0!important;">
                                    <asp:Label ID="lblImportNote" runat="server"></asp:Label>
                                </div>
                                <br />
                                <ul>
                                    <li>
                                        <asp:Label ID="lblnotes1" runat="server" Text="Mentioned reporting to / approval authority grade should be greater than employee grade. Otherwise the data will not be loaded properly in any screens."></asp:Label></li>
                                    <li>
                                        <asp:Label ID="Label2" runat="server" Text="Don't remove / modify any field in the downloaded template file while importing. if you remove / modify any field in the downloaded template file, it will not allow to upload data."></asp:Label></li>
                                    <li>
                                        <asp:Label ID="lblcon" runat="server" Text="Kindly use <B>dd-MMM-yyyy</B> format for Master Data Import. Refer the sample data available with in the Downloaded template."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label ID="Label3" runat="server" Text="While importing, check whether the file has been closed."></asp:Label>
                                    </li>
                                    <li>
                                        <asp:Label ID="Label4" runat="server" Text="Save the file as <B>.csv</B> format before import."></asp:Label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
