<%@ page language="C#" validaterequest="false" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Master_TA_UI_Master_TitleFirstModify, App_Web_z15gu4z3" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/Designation.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderDesignation" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFieds" runat="server"></asp:Label>
                                (3 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblCompany" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlCompany" runat="server" AppendDataBoundItems="true" CssClass="form-control select2 Man-dat">
                                    <asp:ListItem Value="0" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_DesignationName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txt_TitleName" runat="server" CssClass="form-control man-dat"
                                    MaxLength="50" onkeyup="return chkMaxLen(event,this,50,MaxLength);"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="ReqValTitleName" runat="server" ErrorMessage="Enter Designation Name"
                                    ControlToValidate="txt_TitleName" SetFocusOnError="True" ValidationGroup="FirstAdd"
                                    Display="None">*</asp:RequiredFieldValidator>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lbl_DesignationDescription" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txt_TitleDesc" runat="server" Columns="20"
                                    Style="resize: none;" CssClass="form-control" MaxLength="250" onkeyup="return chkMaxLen(event,this,250,MaxLength);"
                                    TextMode="MultiLine"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div id="trStatus" runat="server" style="margin-bottom: 15px">
                                <div class="col-md-2">
                                    <asp:Label ID="lbl_GradeName" runat="server"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:DropDownList ID="ddl_Grade" CssClass="form-control select2 Man-dat" runat="server"
                                        AppendDataBoundItems="True" OnDataBound="ddl_Grade_DataBound">
                                        <asp:ListItem Text="-Select-" Value="-Select-"></asp:ListItem>
                                    </asp:DropDownList><asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server"
                                        ControlToValidate="ddl_Grade" ErrorMessage="Select Grade" InitialValue="-Select-"
                                        SetFocusOnError="true" Display="None" ValidationGroup="FirstAdd">*</asp:RequiredFieldValidator>
                                </div>
                            </div>
                        </div>
                        <div class="row" style="display: none">
                            <div class="col-md-12">
                                <asp:Label ID="lbl_LeavePolicy" runat="server"></asp:Label><font color="#ff0000">* </font>
                            </div>
                            <div class="col-md-12">
                                <asp:DropDownList ID="ddl_Policy" CssClass="form-control select2 Man-dat" runat="server"
                                    AppendDataBoundItems="True">
                                    <asp:ListItem Text="-Select-" Value="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                            </div>
                            <div class="col-md-3">
                                <div class="pull-right-button">
                                    <asp:ValidationSummary ID="ValSumRoute" runat="server" ShowMessageBox="True" ShowSummary="False"
                                        ValidationGroup="FirstAdd" />
                                    <asp:LinkButton ID="btn_Modify" CssClass="btn save-btn fa-floppy-o" runat="server"
                                        OnClick="btn_Modify_Click" ValidationGroup="FirstAdd" />
                                    <asp:LinkButton ID="btn_cancel" runat="server" OnClick="btn_cancel_Click" CssClass="btn save-btn fa-angle-left"
                                        CausesValidation="False" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript">
            var MaxLength = "Maximum length is ";
            function MaxLengthh(maxLength) {
                MaxLength = maxLength;
            }
        </script>

    </div>
</asp:Content>
