﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Ta_Tbl_Master_TimeTableModify, App_Web_ujghb5ng" %>

<%@ Register TagPrefix="UC" TagName="orglevel" Src="~/UserControls/TA_uc_OrgLevel_Filter_Modify.ascx" %>

<asp:Content ID="ConTimetableADD" ContentPlaceHolderID="BodyContentPH" runat="Server">

    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>

    <script src="../js/jquery.autocomplete.js" type="text/javascript"></script>

    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>

    <script src="../js/ShiftExchange.js" type="text/javascript"></script>

    <script src="../js/DateTimeValidation.js" type="text/javascript"></script>

    <script src="../js/EmployeeNameAjax.js" type="text/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function () {

            debugger;
            var sessionDateValue = '<%= Session["IDateFormat"] %>';
            var sessionTimeValue = '<%= Session["ITimeFormat"] %>';

            var sessionDateAndTimeValue = sessionDateValue + ' ' + sessionTimeValue;

            $(function () {

                $('#ctl00_BodyContentPH_txt_StartTime').datetimepicker({ format: sessionDateAndTimeValue });
                $('#ctl00_BodyContentPH_txt_EndTime').datetimepicker({ format: sessionDateAndTimeValue });

                var date = new Date();
                var today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
                $('#ctl00_BodyContentPH_txt_StartTime').datetimepicker({
                    minDate: today
                });
            });
        });
    </script>

    <script type="text/javascript">

        var FillStarEndDate = "Select Start Date";
        var FillEndDate = "Select End Date";
        var FillSubject = "Enter Subject Name";
        var FillRemark = "Enter Remarks";
        var FillSchedulerName = "Enter Timetable Name";
        var Selectlocation = "Select location";
        var SelectFaculty = "Select Faculty";
        var SelectOrganizationLevel = "Select Organization Level";
        var SelectValidDate = "Please ensure that the End Date is greater than or equal to the Start Date.";
        var FillTotalHours = "Select valid Start Time and End Time";
        var CheckFromDate = "From Date can not be greater than current date";

        function CheckValidFrmDate() {
            if (document.getElementById("ctl00_BodyContentPH_txt_StartTime").value != "") {
                var Stime = document.getElementById("ctl00_BodyContentPH_txt_StartTime").value;
                var today = new Date();
                var day = today.getDate();

                var myArray = Stime.split(" ");
                var frmDate = myArray[0];

                if (day < 10) {
                    day = "0" + day;
                }

                var month = today.getMonth() + 1;

                if (month < 10) {
                    month = "0" + month;
                }

                var year = today.getFullYear();

                var Crudate = month + '/' + day + '/' + year;

                if (frmDate < Crudate) {
                    alert(CheckFromDate);
                    // document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.focus();
                    //document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.value = "";
                    //return false;
                }
            }
            return false;

        }

        function Confirmsave() {
            return confirm('Do you want to save changes');
        }

        function CalcDiff() {
            var stdate = document.getElementById("ctl00_BodyContentPH_txt_StartTime").value;
            var edate = document.getElementById("ctl00_BodyContentPH_txt_EndTime").value;
            var myArray = stdate.split(" ");
            var myArray1 = edate.split(" ");

            var frmDate = myArray[0];
            var ToDate = myArray1[0];

            if (frmDate > ToDate) {
                alert(SelectValidDate);
                return false;
            }
            var strStartTime = myArray[1] + " " + myArray[2];
            var strEndTime = myArray1[1] + " " + myArray1[2];
            var startTime = moment(strStartTime, "HH:mm a");
            var endTime = moment(strEndTime, "HH:mm a");
            var duration = moment.duration(endTime.diff(startTime));
            var hours = parseInt(duration.asHours());
            var minutes = parseInt(duration.asMinutes()) - hours * 60;

            if (hours < 10) {
                hours = "0" + hours;
            }

            if (minutes < 10) {
                minutes = "0" + minutes;

            }

            document.getElementById("ctl00_BodyContentPH_txtRemainNoOfHours").value = hours + ':' + minutes;
            document.getElementById("ctl00_BodyContentPH_hdn_RemainingHrs").value = hours + ':' + minutes;
        }

        function ValidateStartTime() {
            if (document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.value == "") {
                alert(FillStarEndDate);
                // document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.focus();
                document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.value = "";
                return false;
            }
        }

        function ValidateEndTime() {
            if (document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.value == "") {
                alert(FillStarEndDate);
                // document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.focus();
                document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.value = "";
                return false;
            }
        }

        function Validation() {
            if (document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.value.trim() == "") {
                alert(FillStarEndDate);
                //  document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.focus();
                document.aspnetForm.ctl00_BodyContentPH_txt_StartTime.value = "";
                return false;
            }

            if (document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.value.trim() == "") {
                alert(FillEndDate);
                //document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.focus();
                document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.value = "";
                return false;
            }

            if (aspnetForm.ctl00_BodyContentPH_hdf_Levelalert.value == '' || aspnetForm.ctl00_BodyContentPH_hdf_Levelalert.value == '0' || aspnetForm.ctl00_BodyContentPH_hdf_Levelalert.value == 'Select') {
                alert(SelectOrganizationLevel);
                return false;
            }


            if (document.aspnetForm.ctl00_BodyContentPH_txtSchedulerName.value.trim() == "") {
                alert(FillSchedulerName);
                document.aspnetForm.ctl00_BodyContentPH_txtSchedulerName.focus();
                return false;
            }

            var index = document.aspnetForm.ctl00_BodyContentPH_ddllocation.selectedIndex;
            var location = document.aspnetForm.ctl00_BodyContentPH_ddllocation.options[index].value;
            if (location == "-Select-") {
                document.aspnetForm.ctl00_BodyContentPH_ddllocation.focus();
                alert(Selectlocation);
                return false;
            }

            if ((document.aspnetForm.ctl00_BodyContentPH_txtRemainNoOfHours.value == "0:0") || (document.aspnetForm.ctl00_BodyContentPH_txtRemainNoOfHours.value < "0")) {
                alert(FillTotalHours);
                // document.aspnetForm.ctl00_BodyContentPH_txt_EndTime.focus();
                return false;
            }

            if (document.aspnetForm.ctl00_BodyContentPH_txtSubject.value.trim() == "") {
                alert(FillSubject);
                document.aspnetForm.ctl00_BodyContentPH_txtSubject.focus();
                return false;
            }


            var index = document.aspnetForm.ctl00_BodyContentPH_ddl_Faculty.selectedIndex;
            var location = document.aspnetForm.ctl00_BodyContentPH_ddl_Faculty.options[index].value;
            if (location == "0") {
                document.aspnetForm.ctl00_BodyContentPH_ddl_Faculty.focus();
                alert(SelectFaculty);
                return false;
            }
            if (document.aspnetForm.ctl00_BodyContentPH_txtRemarks.value.trim() == "") {
                alert(FillRemark);
                document.aspnetForm.ctl00_BodyContentPH_txtRemarks.focus();
                return false;
            }

            CalcDiff();
            return Confirmsave();

        }
    </script>


    <div class="content-header">
        <h1 style="background-image: url('../dist/img/emp-master.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderTimeTableMaster" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>

    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span><span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px"><asp:Label
                                ID="lbl_IndicatesMandatoryFields" runat="server"></asp:Label>
                                (9 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <asp:HiddenField ID="hdn_RemainingHrs" runat="server" />
        <asp:HiddenField ID="hiddenTime" runat="server" />
        <asp:HiddenField ID="hdf_Levelalert" runat="server" />
        <div class="form-horizontal">
            <div class="emp-filter">
                <div class="row form-group">
                    <div class="col-md-2">
                        <asp:Label ID="lblFromDate" runat="server">From Date</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox onpaste="return true" ID="txt_StartTime" runat="server" CssClass="form-control man-dat" onCut="return false" onDrop="return false" AutoCompleteType="Disabled" onblur="return CheckValidFrmDate();"></asp:TextBox>
                    </div>
                    <div class="col-md-1">
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblToDate" runat="server">To Date</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox onpaste="return true"
                            ID="txt_EndTime" runat="server" CssClass="form-control man-dat" onCut="return false"
                            onDrop="return false" onblur="return CalcDiff();"></asp:TextBox>
                    </div>
                </div>

                <div class="row form-group">
                    <div class="col-md-12">
                        <UC:orglevel ID="uc_orglevel" runat="server" />
                    </div>
                </div>

                <div class="row form-group">
                    <div class="col-md-2">
                        <asp:Label ID="lblSchedulerName" runat="server">Timetable Name</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox ID="txtSchedulerName" runat="server" CssClass="form-control man-dat"></asp:TextBox>
                    </div>
                    <div class="col-md-1">
                    </div>

                    <div class="col-md-2">
                        <asp:Label ID="lblPlace" runat="server">Location</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:DropDownList ID="ddllocation" runat="server" CssClass="form-control select2 Man-dat"></asp:DropDownList>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-2">
                        <asp:Label ID="lblTotalHours" runat="server">Total Hours</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox ID="txtRemainNoOfHours" runat="server" Enabled="false" CssClass="form-control man-dat"></asp:TextBox>
                    </div>
                    <div class="col-md-1">
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblSubject" runat="server">Subject</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox ID="txtSubject" runat="server" CssClass="form-control man-dat"></asp:TextBox>
                    </div>
                </div>

                <div class="row form-group">
                    <div class="col-md-2">
                        <asp:Label ID="lblFaculty" runat="server">Faculty</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:DropDownList ID="ddl_Faculty" CssClass="form-control select2 Man-dat" EnableViewState="true"
                            runat="server" AppendDataBoundItems="true" onchange="return GetEmployeeInfo('1',ErrorretrievingdatafromAuthority);">
                            <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                        </asp:DropDownList>
                    </div>
                    <div class="col-md-1">
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblRemarks" runat="server">Remarks</asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox ID="txtRemarks" runat="server" CssClass="form-control man-dat" TextMode="MultiLine" MaxLength="250"></asp:TextBox>
                    </div>
                </div>

                <div class="row form-group">
                    <div class="col-md-2">
                    </div>
                    <div class="col-md-9">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btnSave" runat="server" CssClass="btn save-btn fa-floppy-o" OnClientClick="return Validation();" OnClick="btnSave_Click"></asp:LinkButton>

                            <asp:LinkButton ID="btnClear" runat="server" CssClass="btn save-btn fa-angle-left" OnClick="btnClear_Click"></asp:LinkButton>
                        </div>
                    </div>

                </div>

            </div>

        </div>
    </div>



</asp:Content>

