<%@ page language="C#" autoeventwireup="true" inherits="System_Settings_ExportData_FieldName, App_Web_enz0pvme" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="htmlExportField" runat="server">
<head runat="server">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
        name="viewport" />
    <link id="stylebootstrap" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylefontawesome" rel="stylesheet" runat="server" type="text/css" />
    <link id="styleAdminLTE" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylecustom" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylefonts" rel="stylesheet" runat="server" type="text/css" />
    <link id="styleselect2" rel="stylesheet" runat="server" type="text/css" />
    <title>Export Data - Custom Fields</title>

    <script type="text/javascript" language="javascript">
        function DenySpace(e) {
            if (!e) e = window.event;
            var c = (window.event) ? e.keyCode : e.which;
            if (c == 32) {
                return false;
            }
            else {
                return true;
            }
        }
    </script>

</head>
<body>
    <form id="aspnetForm" runat="server">
        <div class="content">
            <div class="emp-filter">
                <div class="form-horizontal">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="config-hdr con-spc" style="margin-right: -20px; margin-left: -20px; margin-top: 0px !important;">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h3>
                                            <asp:Label ID="lbl_Header" runat="server" Text="Export Data - Custom Fields" Style="padding-left: 10px"></asp:Label>
                                        </h3>
                                    </div>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-2">
                                    <asp:Label ID="lblCompany" runat="server"></asp:Label>
                                </div>
                                <div class="col-sm-3">
                                    <asp:DropDownList ID="ddlCompany" runat="server" AppendDataBoundItems="true" CssClass="form-control select2"
                                        AutoPostBack="true" OnSelectedIndexChanged="ddlCompany_SelectedIndexChanged">
                                    </asp:DropDownList>
                                </div>
                                <div class="col-sm-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblDateFormat" runat="server" Text="Date Format"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:DropDownList ID="ddlDateFormat" runat="server" CssClass="form-control select2">
                                        <asp:ListItem Text="dd/MM/yyyy" Value="dd/MM/yyyy"></asp:ListItem>
                                        <asp:ListItem Text="DD-MMM-YYYY" Value="DD-MMM-YYYY"></asp:ListItem>
                                        <asp:ListItem Text="dd-MMM-yyyy" Value="dd-MMM-yyyy"></asp:ListItem>
                                        <asp:ListItem Text="MM-dd-yyyy" Value="MM-dd-yyyy"></asp:ListItem>
                                        <asp:ListItem Text="MM/dd/yyyy" Value="MM/dd/yyyy"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-dd-MM" Value="yyyy-dd-MM"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/dd/MM" Value="yyyy/dd/MM"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-MM-dd" Value="yyyy-MM-dd"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/MM/dd" Value="yyyy/MM/dd"></asp:ListItem>
                                    </asp:DropDownList>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-2">
                                    <asp:Label ID="lblTimeFormat" runat="server" Text="Time Format"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:DropDownList ID="ddlTimeFormat" runat="server" CssClass="form-control select2">
                                        <asp:ListItem Text="hh:mm" Value="hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="hh:mm tt" Value="hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="hh:mm:ss" Value="hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="hh:mm:ss tt" Value="hh:mm:ss tt"></asp:ListItem>
                                    </asp:DropDownList>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblDateTimeFormat" runat="server" Text="Date & Time Format"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:DropDownList ID="ddlDateTimeFormat" runat="server" CssClass="form-control select2">
                                        <asp:ListItem Text="dd/MM/yyyy hh:mm" Value="dd/MM/yyyy hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="DD-MMM-YYYY hh:mm" Value="DD-MMM-YYYY hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="dd-MMM-yyyy hh:mm" Value="dd-MMM-yyyy hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="MM-dd-yyyy hh:mm" Value="MM-dd-yyyy hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="MM/dd/yyyy hh:mm" Value="MM/dd/yyyy hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-dd-MM hh:mm" Value="yyyy-dd-MM hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/dd/MM hh:mm" Value="yyyy/dd/MM hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-MM-dd hh:mm" Value="yyyy-MM-dd hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/MM/dd hh:mm" Value="yyyy/MM/dd hh:mm"></asp:ListItem>
                                        <asp:ListItem Text="dd/MM/yyyy hh:mm tt" Value="dd/MM/yyyy hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="DD-MMM-YYYY hh:mm tt" Value="DD-MMM-YYYY hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="dd-MMM-yyyy hh:mm tt" Value="dd-MMM-yyyy hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="MM-dd-yyyy hh:mm tt" Value="MM-dd-yyyy hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="MM/dd/yyyy hh:mm tt" Value="MM/dd/yyyy hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-dd-MM hh:mm tt" Value="yyyy-dd-MM hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/dd/MM hh:mm tt" Value="yyyy/dd/MM hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-MM-dd hh:mm tt" Value="yyyy-MM-dd hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/MM/dd hh:mm tt" Value="yyyy/MM/dd hh:mm tt"></asp:ListItem>
                                        <asp:ListItem Text="dd/MM/yyyy hh:mm:ss" Value="dd/MM/yyyy hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="DD-MMM-YYYY hh:mm:ss" Value="DD-MMM-YYYY hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="dd-MMM-yyyy hh:mm:ss" Value="dd-MMM-yyyy hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="MM-dd-yyyy hh:mm:ss" Value="MM-dd-yyyy hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="MM/dd/yyyy hh:mm:ss" Value="MM/dd/yyyy hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-dd-MM hh:mm:ss" Value="yyyy-dd-MM hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/dd/MM hh:mm:ss" Value="yyyy/dd/MM hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-MM-dd hh:mm:ss" Value="yyyy-MM-dd hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/MM/dd hh:mm:ss" Value="yyyy/MM/dd hh:mm:ss"></asp:ListItem>
                                        <asp:ListItem Text="dd/MM/yyyy hh:mm:ss tt" Value="dd/MM/yyyy hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="DD-MMM-YYYY hh:mm:ss tt" Value="DD-MMM-YYYY hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="dd-MMM-yyyy hh:mm:ss tt" Value="dd-MMM-yyyy hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="MM-dd-yyyy hh:mm:ss tt" Value="MM-dd-yyyy hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="MM/dd/yyyy hh:mm:ss tt" Value="MM/dd/yyyy hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-dd-MM hh:mm:ss tt" Value="yyyy-dd-MM hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/dd/MM hh:mm:ss tt" Value="yyyy/dd/MM hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy-MM-dd hh:mm:ss tt" Value="yyyy-MM-dd hh:mm:ss tt"></asp:ListItem>
                                        <asp:ListItem Text="yyyy/MM/dd hh:mm:ss tt" Value="yyyy/MM/dd hh:mm:ss tt"></asp:ListItem>
                                    </asp:DropDownList>
                                </div>
                            </div>
                            <div class="config-hdr con-spc" style="margin-right: -20px; margin-left: -20px;">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h3>
                                            <asp:Label ID="lblXMLTag" runat="server" Text="XML Tag"></asp:Label>
                                        </h3>
                                    </div>
                                </div>
                            </div>
                            <div class="row  form-group">
                                <div class="col-md-2">
                                    <asp:Label ID="lblRootName" runat="server" Text="Root Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtRootName" MaxLength="50" runat="server"
                                        onkeypress="return DenySpace(event)" CssClass="form-control"></asp:TextBox>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblFirstChildName" runat="server" Text="First Child Name"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtFirstChildName" MaxLength="50" runat="server"
                                        CssClass="form-control" onkeypress="return DenySpace(event)"></asp:TextBox>
                                </div>
                            </div>
                            <div class="row form-group" style="margin-top: 10px">
                                <div class="col-md-12">
                                    <div style="table-layout: fixed; overflow: auto;">
                                        <asp:GridView ID="gvFieldData" runat="server" AutoGenerateColumns="false" CssClass="table das-table1">
                                            <Columns>
                                                <asp:TemplateField>
                                                    <ItemTemplate>
                                                        <asp:Label ID="lblFieldName" runat="server" Text='<%# Eval("FieldName") %>'></asp:Label>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField>
                                                    <ItemTemplate>
                                                        <asp:TextBox onpaste="return true" ID="txtUserDEfinedField" MaxLength="50" onkeypress="return DenySpace(event)"
                                                            runat="server" Text='<%# Eval("UserDefinedFieldName") %>' CssClass="form-control"></asp:TextBox>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField Visible="false">
                                                    <ItemTemplate>
                                                        <asp:Label ID="lblFieldType" runat="server" Text='<%# Eval("FieldType") %>'></asp:Label>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField>
                                                    <ItemTemplate>
                                                        <asp:DropDownList ID="ddlFieldType" runat="server" CssClass="form-control select2">
                                                            <asp:ListItem Text="Normal" Value="Normal"></asp:ListItem>
                                                            <asp:ListItem Text="Date" Value="Date"></asp:ListItem>
                                                            <asp:ListItem Text="Time" Value="Time"></asp:ListItem>
                                                            <asp:ListItem Text="Date&Time" Value="Date&Time"></asp:ListItem>
                                                        </asp:DropDownList>
                                                    </ItemTemplate>
                                                </asp:TemplateField>
                                            </Columns>
                                            <HeaderStyle CssClass="empheader" />
                                        </asp:GridView>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="pull-right-button">
                                        <asp:LinkButton ID="btnSave" Text="Save" CssClass="btn save-btn fa-floppy-o" runat="server"
                                            OnClick="btnSave_Click" />
                                        <asp:Button ID="btnClear" Visible="false" Text="Clear" CssClass="but" runat="server"
                                            OnClick="btnClear_Click" />
                                        <asp:LinkButton ID="btnCancel" Text="Cancel" CssClass="btn clr-btn fa-times" runat="server" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script src="../plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>

        <script src="../plugins/select2/select2.full.min.js"></script>

        <script>
            $(".select2").select2();
        </script>

    </form>
</body>
</html>
